Create an agency bill payment from a promise
You can use Cloud API to create an agency bill payment from an existing promise.
There are two ways to use Cloud API to create an agency bill payment from an existing
promise:
- Make a separate call to a separate
/create-ab-money-rcvdendpoint. - Include the
appliedFromPromisefield in the POST request to create an agency bill payment.
The first method is used to create the payment and distribution if you don't want to change the distribution specified in the promise when it is converted into a payment. If you want to change the distribution specified in the promise, use the second method.
Calling the /create-ab-money-rcvd endpoint
This is one way to create an agency bill payment from an agency bill promise. This endpoint
turns a promise into an agency bill payment, and it applies the distribution.
- POST
/billing/v1/producers/{producerId}/ab-promised-monies/{abPromisedMoneyId}/create-ab-money-rcvd
The following fields are required:
paymentInstrument: The ID of the payment instrument to apply to the payment, as a simple reference.receivedDate: The date BillingCenter records the payment as received, in ISO 8601 format (YYYY-MM-DD).
Below is a simple sample request:
Command
POST /billing/v1/producers/bc:787429/ab-promised-monies/bc:4019833/create-ab-money-rcvdRequest body
{
"data": {
"attributes": {
"paymentInstrument": {
"id": "bc:SAF285iJlHKyQC1vIsUUM"
},
"receivedDate": "2026-03-20"
}
}
}
Using the appliedFromPromise field
This is one way to create an agency bill payment from a promise. This is explained in Create an agency bill payment with distribution.